Bug 76402 - Can't find __ctype_b with glibc-2.3.1
Can't find __ctype_b with glibc-2.3.1
Status: CLOSED WORKSFORME
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-21 08:50 EDT by Jeff Johnson
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-09 09:18:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Johnson 2002-10-21 08:50:26 EDT
> ---test.c
>
> char rpmReadConfigFiles();
>
> int main() {
>       rpmReadConfigFiles();
>       return 0;
> }
>
> ---------
>
> When I try to compile it I obtain the next errors:
>
> seamus@sidhome:~/debian/rpm2html-1.7$ gcc -o test -g -O2 test.c -lrpm
> -lrpmio -lrpmdb -lz -lbz2 -ldb -lpopt
> /usr/lib/librpmio.a(base64.o)(.text+0x277): In function `b64dec':
> : reference to `__ctype_b' undefinied
> /usr/lib/librpmio.a(base64.o)(.text+0x373): In function `b64dec':
> : referencia to `__ctype_b' undefinied
> collect2: ld returned 1 exit status
>
> The same problem happens with other important functions.
Comment 1 Jeff Johnson 2003-01-09 09:18:53 EST
Not a problem in rpm-4.2-0.54, compiling as
    cc -o test test.c -lrpm


Note You need to log in before you can comment on or make changes to this bug.